Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.steps
Class MarkUnmatchedStepsAsPending

    java.lang.Object
      org.jbehave.core.steps.MarkUnmatchedStepsAsPending

All Implemented Interfaces:
  StepCollector

    public class MarkUnmatchedStepsAsPending

extends Object
implements StepCollector

StepCollector that marks unmatched steps as `AbstractStepResult.Pending`. It uses a `StepFinder` to collect and prioritise `StepCandidate`s.

Nested Class Summary

Nested classes/interfaces inherited from interface org.jbehave.core.steps.StepCollector
`StepCollector.Stage`

Constructor Summary
`MarkUnmatchedStepsAsPending()`
`MarkUnmatchedStepsAsPending(Keywords keywords)`
`MarkUnmatchedStepsAsPending(StepFinder stepFinder)`
`MarkUnmatchedStepsAsPending(StepFinder stepFinder, Keywords keywords)`

Method Summary
`List<Step>` | `collectBeforeOrAfterScenarioSteps(List<CandidateSteps> candidateSteps, Meta storyAndScenarioMeta, StepCollector.Stage stage, ScenarioType type)` Collects all of the `BeforeScenario` or `AfterScenario` steps to execute.
`List<Step>` | `collectBeforeOrAfterStoriesSteps(List<CandidateSteps> candidateSteps, StepCollector.Stage stage)` Collects all of the `BeforeStories` or `AfterStories` steps to execute.
`List<Step>` | `collectBeforeOrAfterStorySteps(List<CandidateSteps> candidateSteps, Story story, StepCollector.Stage stage, boolean givenStory)` Collects all of the `BeforeStory` or `AfterStory` steps to execute.
`List<Step>` | `collectScenarioSteps(List<CandidateSteps> candidateSteps, Scenario scenario, Map<String,String> parameters)` Collects all of the `Step`s to execute for a scenario.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkUnmatchedStepsAsPending

    public MarkUnmatchedStepsAsPending()

### MarkUnmatchedStepsAsPending

    public MarkUnmatchedStepsAsPending(StepFinder stepFinder)

### MarkUnmatchedStepsAsPending

    public MarkUnmatchedStepsAsPending(Keywords keywords)

### MarkUnmatchedStepsAsPending

    public MarkUnmatchedStepsAsPending(StepFinder stepFinder,
                                       Keywords keywords)

Method Detail

### collectBeforeOrAfterStoriesSteps

    public List<Step> collectBeforeOrAfterStoriesSteps(List<CandidateSteps> candidateSteps,
                                                       StepCollector.Stage stage)

  Description copied from interface: `StepCollector`
  Collects all of the `BeforeStories` or `AfterStories` steps to execute.

  Specified by:
    `collectBeforeOrAfterStoriesSteps` in interface `StepCollector`
    `stage` - the `StepCollector.Stage` of execution
  Returns:
    A List of executable `Step`s

### collectBeforeOrAfterStorySteps

    public List<Step> collectBeforeOrAfterStorySteps(List<CandidateSteps> candidateSteps,
                                                     Story story,
                                                     StepCollector.Stage stage,
                                                     boolean givenStory)

  Description copied from interface: `StepCollector`
  Collects all of the `BeforeStory` or `AfterStory` steps to execute.

  Specified by:
    `collectBeforeOrAfterStorySteps` in interface `StepCollector`
  Parameters:
    `candidateSteps` - the `CandidateSteps`.
    `story` - the `Story`.
    `stage` - the `StepCollector.Stage` of execution
    `givenStory` - whether `Story` is a given story
  Returns:
    A List of executable `Step`s

### collectBeforeOrAfterScenarioSteps

    public List<Step> collectBeforeOrAfterScenarioSteps(List<CandidateSteps> candidateSteps,
                                                        Meta storyAndScenarioMeta,
                                                        StepCollector.Stage stage,
                                                        ScenarioType type)

  Description copied from interface: `StepCollector`
  Collects all of the `BeforeScenario` or `AfterScenario` steps to execute.

  Specified by:
    `collectBeforeOrAfterScenarioSteps` in interface `StepCollector`
  Parameters:
    `candidateSteps` - the `CandidateSteps`.
    `storyAndScenarioMeta` - the story and scenario `Meta` parameters
    `type` - the ScenarioType

### collectScenarioSteps

    public List<Step> collectScenarioSteps(List<CandidateSteps> candidateSteps,
                                           Scenario scenario,
                                           Map<String,String> parameters)

  Description copied from interface: `StepCollector`
  Collects all of the `Step`s to execute for a scenario.

  Specified by:
    `collectScenarioSteps` in interface `StepCollector`
  Parameters:
    `candidateSteps` - the `CandidateSteps`.
    `scenario` - the `Scenario`.
    `parameters` - the parameters.
  Returns:
    A List of executable `Step`s

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.